---
features:
  primary:
  - name: "DAST UI configuration experience"
    available_in: [ultimate]
    gitlab_com: true
    documentation_link: 'https://docs.gitlab.com/ee/user/application_security/dast/#configure-dast-using-the-ui'
    image_url: '/images/unreleased/dast_config_ui.png'
    reporter: derekferguson
    stage: secure
    categories:
    - 'DAST'
    issue_url: 'https://gitlab.com/groups/gitlab-org/-/epics/5981'
    description: |
      GitLab’s Dynamic Application Security Testing (DAST) now supports a new guided configuration experience. We believe that security is a team effort and this configuration experience makes it easier for non-CI experts to get started with GitLab DAST. The tool helps a user create a merge request to enable DAST scanning while leveraging best configuration practices like using the GitLab-managed DAST.gitlab-ci.yml template and properly overriding template settings.

      With GitLab DAST users often creating multiple configurations to cover different areas of their application, the new DAST configuration UI lets users create and use profiles in their CI/CD pipeline jobs, as they would in an on-demand DAST scan. The configuration is stored in the database and is referenced at scan runtime to load the configuration variables into the job. The only required YAML configuration is specifying the names of the Site and Scanner profiles that you want to use in your scan. This makes it incredibly simple to switch out configurations when your application requires. Building YAML config files for DAST from scratch is no longer necessary for your DAST jobs. We can build them for you.
